summaryrefslogtreecommitdiff
path: root/.local/bin/statusbar/sb-mailbox
diff options
context:
space:
mode:
authorGustaf Rydholm <gustaf.rydholm@gmail.com>2021-12-22 22:07:47 +0100
committerGustaf Rydholm <gustaf.rydholm@gmail.com>2021-12-22 22:07:47 +0100
commit92750ff52f6df270b9c8a2d3068c7e0ff3374265 (patch)
treee9f8cce65844b230982d81948547bd0469126a1c /.local/bin/statusbar/sb-mailbox
parentec82e0f8cc3f9b451c1ce63a948034c6bb2b5bd2 (diff)
updates
Diffstat (limited to '.local/bin/statusbar/sb-mailbox')
-rwxr-xr-x.local/bin/statusbar/sb-mailbox20
1 files changed, 20 insertions, 0 deletions
diff --git a/.local/bin/statusbar/sb-mailbox b/.local/bin/statusbar/sb-mailbox
new file mode 100755
index 0000000..35ad7bb
--- /dev/null
+++ b/.local/bin/statusbar/sb-mailbox
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# Displays number of unread mail and an loading icon if updating.
+# When clicked, brings up `neomutt`.
+
+case $BLOCK_BUTTON in
+ 1) setsid -f "$TERMINAL" -e neomutt ;;
+ 2) setsid -f mw -Y >/dev/null ;;
+ 3) notify-send "📬 Mail module" "\- Shows unread mail
+- Shows 🔃 if syncing mail
+- Left click opens neomutt
+- Middle click syncs mail" ;;
+ 6) "$TERMINAL" -e "$EDITOR" "$0" ;;
+esac
+
+unread="$(find "${XDG_DATA_HOME:-$HOME/.local/share}"/mail/*/[Ii][Nn][Bb][Oo][Xx]/new/ -type f | wc -l 2>/dev/null)"
+
+pidof mbsync >/dev/null 2>&1 && icon="🔃"
+
+[ "$unread" = "0" ] && [ "$icon" = "" ] || echo "📬 $unread$icon"